From 3266b450cda76d69f386525f51754f70a025086b Mon Sep 17 00:00:00 2001
From: Thomas Munro <thomas.munro@enterprisedb.com>
Date: Sat, 9 Sep 2017 13:03:09 +1200
Subject: [PATCH] fixup! Add LDAP authentication test suite

---
 src/test/ldap/t/001_auth.pl | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/src/test/ldap/t/001_auth.pl b/src/test/ldap/t/001_auth.pl
index af9e34d7cf..d8be2de88f 100644
--- a/src/test/ldap/t/001_auth.pl
+++ b/src/test/ldap/t/001_auth.pl
@@ -19,6 +19,11 @@ elsif ($^O eq 'linux')
 	$ldap_schema_dir = '/etc/ldap/schema' if -f '/etc/ldap/schema';
 	$ldap_schema_dir = '/etc/openldap/schema' if -f '/etc/openldap/schema';
 }
+elsif ($^O eq 'freebsd')
+{
+	$slapd = '/usr/local/libexec/slapd';
+	$ldap_schema_dir = '/usr/local/etc/openldap/schema';
+}
 
 # make your own edits here
 #$slapd = '';
@@ -55,8 +60,7 @@ access to *
         by * read
         by anonymous auth
 
-database mdb
-dbnosync
+database ldif
 directory $ldap_datadir
 
 suffix "dc=example,dc=net"
-- 
2.13.5

